summaryrefslogtreecommitdiffstats
path: root/source/xap/xine-lib/xine-lib.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xine-lib/xine-lib.SlackBuild')
-rwxr-xr-xsource/xap/xine-lib/xine-lib.SlackBuild13
1 files changed, 11 insertions, 2 deletions
diff --git a/source/xap/xine-lib/xine-lib.SlackBuild b/source/xap/xine-lib/xine-lib.SlackBuild
index 22aa68adf..8c637e783 100755
--- a/source/xap/xine-lib/xine-lib.SlackBuild
+++ b/source/xap/xine-lib/xine-lib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2012, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2017, 2018, 2019, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2011, 2012 Eric Hameleers, Eindhoven, NL
# Copyright 2017 Heinz Wiesinger, Amsterdam, NL
# All rights reserved.
@@ -32,7 +32,7 @@ DIRVER=1.2.12
# Version used for the Slackware package
PKGVER=1.2.12
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -90,6 +90,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix build with ffmpeg-5.1:
+zcat $CWD/020-xine-lib-ffmpeg-5.1-fix.patch.gz | patch -p1 --verbose || exit 1
+if ! grep -wq HAVE_AVUTIL_AVCODEC_H include/configure.h.in ; then
+ echo "#define HAVE_AVUTIL_AVCODEC_H 1" >> include/configure.h.in
+fi
+
+# Fix build with binutils 2.39:
+sed '/xine_set_flags/s/XINE_PROTECTED//' -i include/xine.h
+
XINE_BUILD=$TARGET \
./configure \
--prefix=/usr \